Lucene search

K
amazonAmazonALAS-2024-2400
HistoryJan 03, 2024 - 9:04 p.m.

Medium: python

2024-01-0321:04:00
alas.aws.amazon.com
15
python
compare_digest
constant-time
optimisations
cve-2022-48566
amazon linux 2
yum update
package update
red hat
mitre
unix

CVSS3

5.9

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

AI Score

6

Confidence

High

EPSS

0.001

Percentile

23.7%

Issue Overview:

An issue was discovered in compare_digest in Lib/hmac.py in Python through 3.9.1. Constant-time-defeating optimisations were possible in the accumulator variable in hmac.compare_digest. (CVE-2022-48566)

Affected Packages:

python

Note:

This advisory is applicable to Amazon Linux 2 (AL2) Core repository. Visit this FAQ section for the difference between AL2 Core and AL2 Extras advisories.

Issue Correction:
Run yum update python to update your system.

New Packages:

aarch64:  
    python-2.7.18-1.amzn2.0.8.aarch64  
    python-libs-2.7.18-1.amzn2.0.8.aarch64  
    python-devel-2.7.18-1.amzn2.0.8.aarch64  
    python-tools-2.7.18-1.amzn2.0.8.aarch64  
    tkinter-2.7.18-1.amzn2.0.8.aarch64  
    python-test-2.7.18-1.amzn2.0.8.aarch64  
    python-debug-2.7.18-1.amzn2.0.8.aarch64  
    python-debuginfo-2.7.18-1.amzn2.0.8.aarch64  
  
i686:  
    python-2.7.18-1.amzn2.0.8.i686  
    python-libs-2.7.18-1.amzn2.0.8.i686  
    python-devel-2.7.18-1.amzn2.0.8.i686  
    python-tools-2.7.18-1.amzn2.0.8.i686  
    tkinter-2.7.18-1.amzn2.0.8.i686  
    python-test-2.7.18-1.amzn2.0.8.i686  
    python-debug-2.7.18-1.amzn2.0.8.i686  
    python-debuginfo-2.7.18-1.amzn2.0.8.i686  
  
src:  
    python-2.7.18-1.amzn2.0.8.src  
  
x86_64:  
    python-2.7.18-1.amzn2.0.8.x86_64  
    python-libs-2.7.18-1.amzn2.0.8.x86_64  
    python-devel-2.7.18-1.amzn2.0.8.x86_64  
    python-tools-2.7.18-1.amzn2.0.8.x86_64  
    tkinter-2.7.18-1.amzn2.0.8.x86_64  
    python-test-2.7.18-1.amzn2.0.8.x86_64  
    python-debug-2.7.18-1.amzn2.0.8.x86_64  
    python-debuginfo-2.7.18-1.amzn2.0.8.x86_64  

Additional References

Red Hat: CVE-2022-48566

Mitre: CVE-2022-48566

CVSS3

5.9

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

AI Score

6

Confidence

High

EPSS

0.001

Percentile

23.7%